[PATCH] restorecond: compatible with the use of EUID

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



The `EUID` does not exist in some shell environments. To ensure compatibility,
use `id -u` instead of `EUID` when `EUID` does not exist.

Signed-off-by: Huizhao Wang <wanghuizhao1@xxxxxxxxxx>
---
 restorecond/restorecond.init | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/restorecond/restorecond.init b/restorecond/restorecond.init
index c1cbb247..4e71a2c6 100644
--- a/restorecond/restorecond.init
+++ b/restorecond/restorecond.init
@@ -29,7 +29,11 @@ PATH=/sbin:/bin:/usr/bin:/usr/sbin
 [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled || exit 7
 
 # Check that we are root ... so non-root users stop here
-test $EUID = 0  || exit 4
+if [ $EUID  ]; then
+	test $EUID = 0  || exit 4
+else
+	test `id -u` = 0  || exit 4
+fi
 
 test -x /usr/sbin/restorecond  || exit 5
 test -f /etc/selinux/restorecond.conf  || exit 6
-- 
2.12.3




[Index of Archives]     [Selinux Refpolicy]     [Linux SGX]     [Fedora Users]     [Fedora Desktop]     [Yosemite Photos]     [Yosemite Camping]     [Yosemite Campsites]     [KDE Users]     [Gnome Users]

  Powered by Linux